Rensei docs

Create an org-scoped API key (full secret returned once). Deprecated - use POST /api/org/{orgId}/keys.

Create an org-scoped API key (full secret returned once). Deprecated - use POST /api/org/{orgId}/keys. - Rensei REST API operation reference.

POST
/api/org/api-keys

Authorization

AuthorizationBearer <token>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/org/api-keys" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "id": "string",
  "fullKey": "string",
  "property1": null,
  "property2": null
}
Empty
Empty